Get a person by ID
get
/Person/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual person by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Person
Type:
objectThe person demographics and links to associated patient or practitioner personas.
Show Source
-
active: boolean
-
address: array
address
-
birthDate: string
(date)
-
gender: string
Allowed Values:
[ "male", "female", "other", "unknown" ] -
id(required): string
-
identifier: array
identifier
-
link: array
link
-
meta: object
meta
-
name: array
name
-
resourceType(required): string
Allowed Values:
[ "Person" ] -
telecom: array
telecom
-
text: object
Narrative
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ContactPointForPerson
Type:
Show Source
object-
extension: array
extension
-
period: object
Period
-
system: string
Allowed Values:
[ "phone", "fax", "email", "pager", "url", "sms", "other" ] -
use: string
Allowed Values:
[ "home", "work", "temp", "old", "mobile" ] -
value: string
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source